Crystal Space: csCoreRenderMesh Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csCoreRenderMesh Struct Reference
[3D]

Data required by the renderer to draw a mesh. More...

`#include <ivideo/rendermesh.h>`

Inheritance diagram for csCoreRenderMesh:

[legend]
List of all members.

## Public Member Functions
| csCoreRenderMesh ()
| ~csCoreRenderMesh ()
## Public Attributes
int | clip_plane
| Clipping parameter.
int | clip_portal
| Clipping parameter.
int | clip_z_plane
| Clipping parameter.
const char * | db_mesh_name
| To make debugging easier we add the name of the mesh object here in debug mode.
bool | do_mirror
| Mirror mode - whether the mesh should be mirrored.
iMaterialWrapper * | material
| Material used for this mesh.
csRenderMeshType | meshtype
| Mesh type.
csReversibleTransform | object2world
| Transform object space -> world space.
unsigned int | indexend
unsigned int | indexstart
| Start and end of the range of indices to use.

## Detailed Description

Data required by the renderer to draw a mesh.

Definition at line 77 of file rendermesh.h.

## Member Data Documentation

int csCoreRenderMesh::clip_plane

Clipping parameter.

Definition at line 101 of file rendermesh.h.

Referenced by csCoreRenderMesh().

int csCoreRenderMesh::clip_portal

Clipping parameter.

Definition at line 98 of file rendermesh.h.

Referenced by csCoreRenderMesh().

int csCoreRenderMesh::clip_z_plane

Clipping parameter.

Definition at line 104 of file rendermesh.h.

Referenced by csCoreRenderMesh().

const char* csCoreRenderMesh::db_mesh_name

To make debugging easier we add the name of the mesh object here in debug mode.

Definition at line 83 of file rendermesh.h.

Referenced by csCoreRenderMesh().

bool csCoreRenderMesh::do_mirror

Mirror mode - whether the mesh should be mirrored.

Essentially toggles between back- and front-face culling. It should be set to `true` if object2camera contains a negative scaling. Basically, in almost any case it should be set to the camera's mirror mode.

     iCamera* camera;
     csRenderMesh myMesh;
       ...
     myMesh.object2camera = camera->GetTransform () /
       movable->GetFullTransform ();
     myMesh.do_mirror = camera->IsMirrored ();

Definition at line 122 of file rendermesh.h.

Referenced by csCoreRenderMesh().

unsigned int csCoreRenderMesh::indexstart

Start and end of the range of indices to use.

The indices are used in the range from indexstart (inclusive) to indexend (exclusive): indexstart <= n < indexend

Definition at line 133 of file rendermesh.h.

Referenced by csCoreRenderMesh().

iMaterialWrapper* csCoreRenderMesh::material

Material used for this mesh.

Used for e.g. sorting by material.

Definition at line 141 of file rendermesh.h.

csRenderMeshType csCoreRenderMesh::meshtype

Mesh type.

Definition at line 125 of file rendermesh.h.

csReversibleTransform csCoreRenderMesh::object2world

Transform object space -> world space.

Remarks:
  'this' space is object space, 'other' space is world space

Definition at line 147 of file rendermesh.h.

The documentation for this struct was generated from the following file:

- ivideo/rendermesh.h